<!doctype html>
<html>
<head>
    <title>Tor Browser 7.5.2 is released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Browser 7.5.2 is released | Tor Project">
    <meta property="og:description" content="Tor Browser 7.5.2 is now available from the Tor Browser Project page and also from our...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-browser-752-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Browser 7.5.2 is released
      </h1>
    <p class="meta">by gk | March 17, 2018</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser 7.5.2 is now available from the <a href="https://www.torproject.org/download/download-easy.html" rel="nofollow">Tor Browser Project page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/7.5.2/" rel="nofollow">distribution directory</a>.</p>

<p>This release features important <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2018-08/" rel="nofollow">security updates</a> to Firefox.</p>

<p><strong>Note:</strong> Users of the Tor Browser alpha series are strongly encouraged to use the stable series while we are preparing a new alpha release.</p>

<p>The full <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-7.5" rel="nofollow">changelog</a> since Tor Browser 7.5.1 is:</p>

<ul>
<li>All platforms
<ul>
<li>Update Firefox to 52.7.2esr</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-274387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274387" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Someniggawithamic (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274387" class="permalink" rel="bookmark">I need the link to a hidden…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I need the link to a hidden wiki<br />
anyone have?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274407"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274407" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>oionsearchengine (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274387" class="permalink" rel="bookmark">I need the link to a hidden…</a> by <span>Someniggawithamic (not verified)</span></p>
    <a href="#comment-274407">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274407" class="permalink" rel="bookmark">Use an onion search engine,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Use an onion search engine, like <a href="http://msydqstlz2kzerdg.onion/" rel="nofollow">http://msydqstlz2kzerdg.onion/</a> (<a href="https://ahmia.fi/" rel="nofollow">https://ahmia.fi/</a>).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274388"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274388" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Sky (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274388">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274388" class="permalink" rel="bookmark">I want to know how to browse…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I want to know how to browse the web anonymously</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274440"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274440" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274388" class="permalink" rel="bookmark">I want to know how to browse…</a> by <span>Sky (not verified)</span></p>
    <a href="#comment-274440">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274440" class="permalink" rel="bookmark">The easiest answer is …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The easiest answer is "install and use Tor Browser"--- the latest version, for the appropriate architecture (e.g. Windows, Linux) obtained from <a href="http://www.torproject.org" rel="nofollow">www.torproject.org</a>.</p>
<p>For more privacy protections, you may want to consider using Tails:</p>
<p><a href="https://tails.boum.org/about/index.en.html" rel="nofollow">https://tails.boum.org/about/index.en.html</a></p>
<p>Tails will enable you to browse the web anonymously:</p>
<p><a href="https://tails.boum.org/doc/anonymous_internet/Tor_Browser/index.en.html" rel="nofollow">https://tails.boum.org/doc/anonymous_internet/Tor_Browser/index.en.html</a></p>
<p>Within limits:</p>
<p><a href="https://tails.boum.org/doc/about/warning/index.en.html" rel="nofollow">https://tails.boum.org/doc/about/warning/index.en.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274860"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274860" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 09, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274388" class="permalink" rel="bookmark">I want to know how to browse…</a> by <span>Sky (not verified)</span></p>
    <a href="#comment-274860">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274860" class="permalink" rel="bookmark">You can&#039;t. Tor provides no…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can't. Tor provides no protection against global adversaries, but USA, People's Republic of China and other govenments are global adversaries because of MLATs and CLOUD. Say thank to Trump and the Congress.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274389"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274389" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Gene (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274389">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274389" class="permalink" rel="bookmark">What about spectre and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about spectre and meltdown?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274441"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274441" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274389" class="permalink" rel="bookmark">What about spectre and…</a> by <span>Gene (not verified)</span></p>
    <a href="#comment-274441">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274441" class="permalink" rel="bookmark">Tor Project products such as…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Project products, such as Tor Browser, cannot by themselves protect against flaws in your operating system, much less hardware vulnerabilities such as speculative execution.</p>
<p>If you are concerned about Spectre/Meltdown, good, and you may want to consider using Tails, which uses Tor Browser but has further protections; see</p>
<p>tails.boum.org</p>
<p>Tails Project is independent of Tor Project but allied with it. </p>
<p>The current version of Tails is hardened against some Spectre attacks and should be immune to known Meltdown attacks.  It is not currently possible, and may never be possible, to be completely protected from Spectre attacks, for reasons discussed in previous comments in this blog.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274506"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274506" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Bill McGonigle (not verified)</span> said:</p>
      <p class="date-time">March 22, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274441" class="permalink" rel="bookmark">Tor Project products such as…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274506">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274506" class="permalink" rel="bookmark">Tor Browser, cannot by…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Tor Browser, cannot by themselves protect against flaws in your operating system, much less hardware vulnerabilities such as speculative execution.</p></blockquote>
<p>Actually, <a href="https://support.google.com/faqs/answer/7625886" rel="nofollow">Retpoline</a> does just that.  Firefox was going to compile with Retpoline, but since Tor has its own build of Firefox, it would be great to hear that Retpoline is definitely enabled in the build target.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274688"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274688" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Deeb (not verified)</span> said:</p>
      <p class="date-time">March 31, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274389" class="permalink" rel="bookmark">What about spectre and…</a> by <span>Gene (not verified)</span></p>
    <a href="#comment-274688">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274688" class="permalink" rel="bookmark">False overparanoid hype and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>False overparanoid hype and fearmongering as usual.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274391"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274391" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Steve (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274391">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274391" class="permalink" rel="bookmark">This version freezes and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This version freezes and crashes instantly in Windows 10.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274403"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274403" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274391" class="permalink" rel="bookmark">This version freezes and…</a> by <span>Steve (not verified)</span></p>
    <a href="#comment-274403">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274403" class="permalink" rel="bookmark">What does &quot;instantly&quot; mean?…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What does "instantly" mean? Just after trying to start Tor Browser? Or once you start surfing? I suspect your local AV/Firewall software does not like the new version. Could you try removing it and see whether it fixes your problem? Which previous version did work for you?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274392"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274392" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Donald (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274392">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274392" class="permalink" rel="bookmark">Very good!!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very good!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274395"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274395" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>juan carlo hernandez (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274395">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274395" class="permalink" rel="bookmark">super bien</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>super bien</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274396"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274396" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="juan carlos hernandez mendoza">juan carlos he… (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274396">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274396" class="permalink" rel="bookmark">esta aplicacion esta super…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>esta aplicacion esta super buena</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274399"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274399" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="robert.fraser196@gmail.com">robert.fraser1… (not verified)</span> said:</p>
      <p class="date-time">March 17, 2018</p>
    </div>
    <a href="#comment-274399">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274399" class="permalink" rel="bookmark">Thanks,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks,<br />
what so I do now you have told me re update?<br />
Rob</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274447"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274447" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274399" class="permalink" rel="bookmark">Thanks,…</a> by <span content="robert.fraser196@gmail.com">robert.fraser1… (not verified)</span></p>
    <a href="#comment-274447">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274447" class="permalink" rel="bookmark">Follow the first link in the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Follow the first link in the post to the Tor Project download page, download the new version of Tor Browser, verify the file, unpack it, and surf!  Feel free to flip the bird in the general direction of Cambridge Analytica.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274400"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274400" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274400">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274400" class="permalink" rel="bookmark">Thanks for allowing comments…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for allowing comments, but where are the details about this vulnerability?<br />
"Users of higher security levels are not affected", "do not allow ogg/vorbis" and so on?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274402"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274402" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274400" class="permalink" rel="bookmark">Thanks for allowing comments…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274402">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274402" class="permalink" rel="bookmark">We did not have time to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We did not have time to analyze the implications for Tor Browser and don't have access to the PoC. So, it's hard to say something which is constructive at this point. That's the reason behind just saying: "Update!".</p>
<p>[Edit: I got told that setting <span class="geshifilter"><code class="php geshifilter-php">media<span style="color: #339933;">.</span>ogg<span style="color: #339933;">.</span>enabled</code></span> to <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #009900; font-weight: bold;">false</span></code></span> would make sure the vulnerable code would not have been triggered. It's not clear yet whether setting <span class="geshifilter"><code class="php geshifilter-php">media<span style="color: #339933;">.</span>webaudio<span style="color: #339933;">.</span>enabled</code></span> to <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #009900; font-weight: bold;">false</span></code></span>, which is possible with the security slider, would have helped as well.]</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274426"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274426" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to gk</p>
    <a href="#comment-274426">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274426" class="permalink" rel="bookmark">Okay. The most decent…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Okay. The most decent solution "Automatic updates" eliminates the need to even say "Update!" :) But is there some place where you publish (later) the results of analysis of effectiveness of the measures taken in Tor Browser (ssp, selfrando, etc)?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274427"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274427" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to gk</p>
    <a href="#comment-274427">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274427" class="permalink" rel="bookmark">[Edit: I got told that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>[Edit: I got told that setting media.ogg.enabled to false would make sure the vulnerable code would not have been triggered. It's not clear yet whether setting media.webaudio.enabled to false, which is possible with the security slider, would have helped as well.]</p></blockquote>
<p><a href="https://trac.torproject.org/projects/tor/ticket/21601" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/21601</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274450"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274450" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274427" class="permalink" rel="bookmark">[Edit: I got told that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274450">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274450" class="permalink" rel="bookmark">Good point.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good point.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-274405"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274405" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274405">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274405" class="permalink" rel="bookmark">Would&#039;ve Selfrando helped…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Would've Selfrando helped with this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274424"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274424" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274405" class="permalink" rel="bookmark">Would&#039;ve Selfrando helped…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274424">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274424" class="permalink" rel="bookmark">Probably not. The underlying…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Probably not. The underlying flaw would still have been there and adapting the exploit would not have been that hard.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274410"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274410" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Phil (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274410">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274410" class="permalink" rel="bookmark">Sorry for a simple question…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry for a simple question.  I'm no security expert.  Does 'Ghostery' work with Tor?  If so, does it work well or ok?  cheers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274431"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274431" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274410" class="permalink" rel="bookmark">Sorry for a simple question…</a> by <span>Phil (not verified)</span></p>
    <a href="#comment-274431">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274431" class="permalink" rel="bookmark">Don&#039;t install it, it will…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Don't install it, it will alter your browser fingerprint.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274433"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274433" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274410" class="permalink" rel="bookmark">Sorry for a simple question…</a> by <span>Phil (not verified)</span></p>
    <a href="#comment-274433">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274433" class="permalink" rel="bookmark">Tor Project recommendation —…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Project recommendation — Don't enable or install browser plugins. Tor Browser will block browser plugins such as Flash, RealPlayer, Quicktime, and others: they can be manipulated into revealing your IP address. Similarly, do not install additional addons or plugins into Tor Browser, as these may bypass Tor or otherwise harm your anonymity and privacy: <a href="https://www.torproject.org/download/download-easy.html.en#warning" rel="nofollow">https://www.torproject.org/download/download-easy.html.en#warning</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274523"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274523" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 24, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274433" class="permalink" rel="bookmark">Tor Project recommendation —…</a> by <span>anonymous (not verified)</span></p>
    <a href="#comment-274523">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274523" class="permalink" rel="bookmark">So you should only have the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So you should only have the three browser plugins with Tor, HTTPS, Torbutton and TorLauncer?  cheers</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274553"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274553" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274523" class="permalink" rel="bookmark">So you should only have the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274553">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274553" class="permalink" rel="bookmark">Is the above correct? …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is the above correct?  Should you only have those three browser plugins?  Thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274618"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274618" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 27, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274553" class="permalink" rel="bookmark">Is the above correct? …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274618">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274618" class="permalink" rel="bookmark">Plus Noscript.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Plus Noscript.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-274414"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274414" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>freeman (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274414">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274414" class="permalink" rel="bookmark">This work on window 81 !…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This work on window 81 !<br />
An perfect!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274417"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274417" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>el-nino0 (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274417">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274417" class="permalink" rel="bookmark">i m new to this. how does it…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i m new to this. how does it work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274430"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274430" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Not so Anon Mike (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274417" class="permalink" rel="bookmark">i m new to this. how does it…</a> by <span>el-nino0 (not verified)</span></p>
    <a href="#comment-274430">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274430" class="permalink" rel="bookmark">Watch Youtube. It can…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Watch Youtube. It can explain everything</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274442"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274442" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274417" class="permalink" rel="bookmark">i m new to this. how does it…</a> by <span>el-nino0 (not verified)</span></p>
    <a href="#comment-274442">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274442" class="permalink" rel="bookmark">It&#039;s simple, assuming you…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's simple, assuming you want to use Tor Browser to surf the internet anonymously:</p>
<p>1. download Tor Browser from <a href="https://www.torproject.org/download/download-easy.html.en" rel="nofollow">https://www.torproject.org/download/download-easy.html.en</a></p>
<p>2. verify the file (a tarball)</p>
<p>3. unpack the tarball on your computer using your regular OS</p>
<p>4. use the provide startup script to start Tor Browser</p>
<p>5. surf!</p>
<p>You should probably read a bit about how to use Tor Browser wisely before you do too much surfing, though:</p>
<p><a href="https://www.torproject.org/download/download-easy.html.en#warning" rel="nofollow">https://www.torproject.org/download/download-easy.html.en#warning</a></p>
<p>Ideally you should also read a bit about how the Tor network (including the underlying Tor client/server software) works:</p>
<p><a href="https://www.torproject.org/about/overview.html.en#thesolution" rel="nofollow">https://www.torproject.org/about/overview.html.en#thesolution</a></p>
<p>You may also want to consider using Tails for additional protections.  But Tails, much less Tor Browser, cannot protect you against some threats:</p>
<p><a href="https://tails.boum.org/doc/about/warning/index.en.html" rel="nofollow">https://tails.boum.org/doc/about/warning/index.en.html</a></p>
<p>@ Tor Project: the OP asked a FAQ.  Why is there no one document easily found in the Tor Project site which answers it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274451"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274451" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274442" class="permalink" rel="bookmark">It&#039;s simple, assuming you…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274451">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274451" class="permalink" rel="bookmark">Good question. I am actually…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good question. I am actually not sure whether we have an entry in the FAQ for the question or not as I am not sure what is meant by "How does it work?". But, yes, once we figured that out and the FAQ does indeed not contain it we should add an entry.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274460"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274460" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to gk</p>
    <a href="#comment-274460">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274460" class="permalink" rel="bookmark">Very cool!  And thanks for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very cool!  And thanks for all your work on Tor!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-274419"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274419" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Benwarez (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274419">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274419" class="permalink" rel="bookmark">Awesome work guys …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Awesome work guys ... however stuff synching is not working</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274421"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274421" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John Doe (not verified)</span> said:</p>
      <p class="date-time">March 18, 2018</p>
    </div>
    <a href="#comment-274421">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274421" class="permalink" rel="bookmark">Keep on rocking in the free…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you for your work. Keep on rocking in the free world!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274425"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274425" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>seiamak (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
    <a href="#comment-274425">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274425" class="permalink" rel="bookmark">is very good!!!!…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>is very good!!!!<br />
Thank you for your work</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274432"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274432" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
    <a href="#comment-274432">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274432" class="permalink" rel="bookmark">any update on mobile Tor…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>any update on mobile Tor Browser?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274452"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274452" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274432" class="permalink" rel="bookmark">any update on mobile Tor…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274452">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274452" class="permalink" rel="bookmark">We plan to help the …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We plan to help the  Guardian Project getting an updated Orfox out in the coming days. And meanwhile we are continuing to work on getting Tor Browser for Android into shape. The first alpha is planned for July, so stay tuned.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274434"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274434" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>nonono (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
    <a href="#comment-274434">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274434" class="permalink" rel="bookmark">great job people!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>great job people!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274435"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274435" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
    <a href="#comment-274435">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274435" class="permalink" rel="bookmark">good</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>good</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274436"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274436" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>wiliam (not verified)</span> said:</p>
      <p class="date-time">March 19, 2018</p>
    </div>
    <a href="#comment-274436">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274436" class="permalink" rel="bookmark">I use &quot;tor&quot;.so my ISP could…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I use "tor".so my ISP could save my site witch i visited?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274453"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274453" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274436" class="permalink" rel="bookmark">I use &quot;tor&quot;.so my ISP could…</a> by <span>wiliam (not verified)</span></p>
    <a href="#comment-274453">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274453" class="permalink" rel="bookmark">No, the ISP is only seeing…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No, the ISP is only seeing that you are using Tor but nothing more.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274462"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274462" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274436" class="permalink" rel="bookmark">I use &quot;tor&quot;.so my ISP could…</a> by <span>wiliam (not verified)</span></p>
    <a href="#comment-274462">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274462" class="permalink" rel="bookmark">I hope the following…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I hope the following explainer will help, in which &lt;--&gt; means unencrypted data link and &lt;==&gt; means encrypted data link.</p>
<p>Ordinary websurfing with a browser other than Tor Browser works like this:</p>
<p>DNS.server &lt;--&gt; your.computer &lt;--&gt; your.ISP &lt;--&gt; some.website</p>
<p>Websurfing with Tor Browser works like this:</p>
<p>your.computer &lt;==&gt; your.ISP &lt;==&gt; entry.node &lt;==&gt; middle.node &lt;==&gt; exit.node &lt;--&gt; http.site</p>
<p>your.computer &lt;==&gt; your.ISP &lt;==&gt; entry.node &lt;==&gt; middle.node &lt;==&gt; exit.node &lt;==&gt; https.site</p>
<p>Details:</p>
<p>The Tor network consists of entry, middle, exit nodes, and special servers called Directory Authorities.</p>
<p>The Tor circuit entry &lt;==&gt; middle &lt;==&gt; exit is triply encrypted.   Middle node knows IP of entry and exit, but exit node and entry node do not know each other's identity.  The encryption is stripped off in layers by the next node in the circuit, as packets traverse the Tor network.  Hence the term "onion routing", which is the core concept characterizing Tor.</p>
<p>The identity of exit nodes and some entry/middle nodes is public information.   Nonpublished entry nodes are bridges, which can afford additional anonymity and censorship-resistance.  There are various kinds of bridges, some especially designed to resist very censorious governmental monitoring.</p>
<p>When you first join the Tor network using Tor Browser, your computer contacts a Directory Authority via an encrypted connection, to get current information on which Tor nodes are operating, so your ISP can see that you are using Tor.  Unless, possibly, if you use a bridge (because bridges are not publicly associated with Tor) to try to join the Tor network.</p>
<p>The exit node in a Tor circuit must contact a DNS server (via unencrypted data link) to locate the IP of the website you type into Tor Browser's location pane, but since it doesn't know your real IP, neither does the operator of the DNS server, nor the operator of the website you are visiting.</p>
<p>Tor Browser is a fully functional browser based on Mozilla Firefox, but carefully tailored to maximize anonymity via the Tor network.</p>
<p>Tor Project offers various other software in addition to Tor Browser.  All of them use the underlying client/server Tor software and are open source and free to the public.</p>
<p>"Onions" are bit more complicated and offer additional protections for people who need to publish information anonymously.</p>
<p>Other names: "entry guard" = entry node, "relay" = entry/middle node, "hidden service" = onion.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274454"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274454" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Marina Rosette (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
    <a href="#comment-274454">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274454" class="permalink" rel="bookmark">excellent</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>excellent</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274455"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274455" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>wujihan (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
    <a href="#comment-274455">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274455" class="permalink" rel="bookmark">How can I send bitcoin to you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How can I send bitcoin to you</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274458"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274458" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Roman (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
    <a href="#comment-274458">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274458" class="permalink" rel="bookmark">После обновления не на все…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>После обновления не на все сайты входит. Что то перемудрили похоже.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274461"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274461" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>KMac (not verified)</span> said:</p>
      <p class="date-time">March 20, 2018</p>
    </div>
    <a href="#comment-274461">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274461" class="permalink" rel="bookmark">I am just getting started…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am just getting started again, it has been a year or so since I have been here, just updating everything. Have a peaceful day...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274472"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274472" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274472">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274472" class="permalink" rel="bookmark">Hi guys - After upgrading to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi guys - After upgrading to 7.5.2, Tor always insists on connecting to the UK as its first relay node, no matter how many times I try a different circuit.</p>
<p>Has anyone experienced this, and what's up with it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274500"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274500" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274472" class="permalink" rel="bookmark">Hi guys - After upgrading to…</a> by <span>Anon (not verified)</span></p>
    <a href="#comment-274500">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274500" class="permalink" rel="bookmark">&gt; Tor always insists on…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Tor always insists on connecting to the UK as its first relay node, no matter how many times I try a different circuit.</p>
<p>Assuming you live in the UK, that sounds like how entry guards  are supposed to work.  (The first node in a Tor circuit is called an entry guard.)  Your Tor client is supposed to choose two and stick with them for some time--- I forget how long exactly, but several months.   Each new circuit should use new relay and exit nodes (second and third nodes).   Your Tor client should try to choose an exit node "near" your destination website, so if that is in a country with few nodes, you might see the same exit node more often than you might desire.</p>
<p>The entry node business might sound like it weakens anonymity, but actually it is intended to strengthen your anonymity against certain kinds of de-anonymization attacks.  IIRC, arma discussed the math behind this a few years ago.  AFAIK, choosing the number of entry guards and the length of time to stick with those is subject to review as new information becomes available about how the bad guys (government agencies) are trying to mess with the Tor network.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274551"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274551" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274500" class="permalink" rel="bookmark">&gt; Tor always insists on…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274551">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274551" class="permalink" rel="bookmark">Hi... thanks for the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi... thanks for the response. If that was the case, why is it that v7.5.1 (and all the other versions I've been using) do not work that way? For example, now I am on 7.5.1 and my circuit shows as 'This browser - Netherlands - Russia - Germany - Internet'. If I were to change circuit it would show different countries but it would not stick to the UK, hope my question makes sense.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274564"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274564" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274551" class="permalink" rel="bookmark">Hi... thanks for the…</a> by <span>Anon (not verified)</span></p>
    <a href="#comment-274564">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274564" class="permalink" rel="bookmark">Say whaat?   Someone claimed…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Say whaat?   Someone claimed</p>
<p>&gt; Tor always insists on connecting to the UK as its first relay node, no matter how many times I try a different circuit</p>
<p>and now you (I presume you are the OP) say</p>
<p>&gt; my circuit shows as 'This browser - Netherlands - Russia - Germany - Internet'. If I were to change circuit it would show different countries but it would not stick to the UK</p>
<p>Netherlands?  So not the UK after all?</p>
<p>Please explain:</p>
<p>1. how Tor Browser is behaving on your computer</p>
<p>2. what you want it to do instead</p>
<p>&gt; hope my question makes sense</p>
<p>Not yet.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-274475"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274475" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274475">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274475" class="permalink" rel="bookmark">NoScript and TorButton both,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>NoScript and TorButton both, in about:addons, say: "Last Updated January 1, 2000"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274525"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274525" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anonymous (not verified)</span> said:</p>
      <p class="date-time">March 24, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274475" class="permalink" rel="bookmark">NoScript and TorButton both,…</a> by <span>Anon (not verified)</span></p>
    <a href="#comment-274525">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274525" class="permalink" rel="bookmark">I&#039;m sure that&#039;s done for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm sure that's done for reproducibility (the time stamps all get set to some fixed value, so that anybody else who compiles the Tor browser is able to produce a file that is 100% identical to the file that is released by Tor.)</p>
<p>It would be better to have these time stamps set to something sensible like the browser release date, or maybe just to hide the time stamps completely, but that would take more work and I'm sure this is a low priority for the developers.  Having a reproducible binary is more important than fixing the appearance of an internal user interface (about:addons) that users shouldn't normally be messing with anyway.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274538"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274538" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274475" class="permalink" rel="bookmark">NoScript and TorButton both,…</a> by <span>Anon (not verified)</span></p>
    <a href="#comment-274538">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274538" class="permalink" rel="bookmark">Yes, we have an old ticket…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, we have an old ticket for that <a href="https://trac.torproject.org/projects/tor/ticket/11506" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/11506</a> but did not have time to implement a good solution yet. Help is appreciated!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274587"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274587" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>sasa (not verified)</span> said:</p>
      <p class="date-time">March 27, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274475" class="permalink" rel="bookmark">NoScript and TorButton both,…</a> by <span>Anon (not verified)</span></p>
    <a href="#comment-274587">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274587" class="permalink" rel="bookmark">very good</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>very good</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274476"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274476" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274476">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274476" class="permalink" rel="bookmark">Major problems with UBlock…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Major problems with UBlock Origin after installing in this TB release.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274477"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274477" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274477">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274477" class="permalink" rel="bookmark">Tor Browser 7.5.2 seems to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Browser 7.5.2 seems to be working fine under Debian stretch on my computer!</p>
<p>Thanks to everyone for providing Tor!  Your work is much appreciated.3</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274481"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274481" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>tortor (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274481">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274481" class="permalink" rel="bookmark">The Android phone has a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Android phone has a global setting which allows connection through the country of choice. Is the Desktop version going to have this capability?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274539"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274539" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274481" class="permalink" rel="bookmark">The Android phone has a…</a> by <span>tortor (not verified)</span></p>
    <a href="#comment-274539">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274539" class="permalink" rel="bookmark">No. We think that this might…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No. We think that this might risk your anonymity in serious ways and just rely on tor's path selection.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274483"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274483" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Mary Jo (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274483">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274483" class="permalink" rel="bookmark">I have LastPass, a password…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have LastPass, a password vault. Can I add that as an add-in?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274531"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274531" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>btcz (not verified)</span> said:</p>
      <p class="date-time">March 25, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274483" class="permalink" rel="bookmark">I have LastPass, a password…</a> by <span>Mary Jo (not verified)</span></p>
    <a href="#comment-274531">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274531" class="permalink" rel="bookmark">yes. tor browser is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>yes. tor browser is supporting too many firefox extention.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274487"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274487" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274487">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274487" class="permalink" rel="bookmark">What is the ETA of 64-bit…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is the ETA of 64-bit Windows builds?<br />
Memory corruption vulnerabilities are easier to exploit in 32-bit applications because of the limited address space.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274540"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274540" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274487" class="permalink" rel="bookmark">What is the ETA of 64-bit…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274540">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274540" class="permalink" rel="bookmark">We still need to iron out…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We still need to iron out some bugs in our 64bit bundles but plan to make them available to stable users with the switch to Firefox 60 ESR which is going to happen later this year, in August.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274494"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274494" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="GCHQ loves torSPYWAREbrowser">GCHQ loves tor… (not verified)</span> said:</p>
      <p class="date-time">March 21, 2018</p>
    </div>
    <a href="#comment-274494">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274494" class="permalink" rel="bookmark">You shits STILL haven&#039;t…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You shits STILL haven't fixed this?!?</p>
<p>When initially starting, torbrowser allows several sites to install spyware:<br />
addons.mozilla.org<br />
testpilot.firefox.com</p>
<p>you can disallow them using<br />
Edit &gt; Preferences &gt; Security &gt; Exceptions &gt; Remove All Sites</p>
<p>There is no any reason for these to be allowed unless torbrowser sucking GCHQ dick.</p>
<p>When restart these spyware sites are re-allowed!!!</p>
<p>This issue was reported several versions ago.  Why is it still here?<br />
GCHQ did not find alternative backdoor????</p>
<p>Is torbrowser SPYWARE????</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274566"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274566" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274494" class="permalink" rel="bookmark">You shits STILL haven&#039;t…</a> by <span content="GCHQ loves torSPYWAREbrowser">GCHQ loves tor… (not verified)</span></p>
    <a href="#comment-274566">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274566" class="permalink" rel="bookmark">So this is how you win…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So this is how you win friends and influence people?  How's that working out?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274513"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274513" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 22, 2018</p>
    </div>
    <a href="#comment-274513">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274513" class="permalink" rel="bookmark">In current version of TB, I…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In current version of TB, I see this in one of the torrc configs:</p>
<p>## snowflake configuration<br />
ClientTransportPlugin snowflake exec ./TorBrowser/Tor/PluggableTransports/snowflake-client -url <a href="https://snowflake-reg.appspot.com/" rel="nofollow">https://snowflake-reg.appspot.com/</a> -front <a href="http://www.google.com" rel="nofollow">www.google.com</a> -ice stun:stun.l.google.com:19302</p>
<p>This is new to me, what exactly is it? I'm running as a Tor client only.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274543"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274543" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274513" class="permalink" rel="bookmark">In current version of TB, I…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274543">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274543" class="permalink" rel="bookmark">Which version are you using…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Which version are you using on which system? This is a new pluggable transport we are currently testing in our *alpha* series and which is available for macOS and Linux.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274514"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274514" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Its Ya Boi Tor ;) (not verified)</span> said:</p>
      <p class="date-time">March 22, 2018</p>
    </div>
    <a href="#comment-274514">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274514" class="permalink" rel="bookmark">Hey i love tor browser. just…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey i love tor browser. just to let you know xD</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274520"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274520" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Teresa Dreams (not verified)</span> said:</p>
      <p class="date-time">March 23, 2018</p>
    </div>
    <a href="#comment-274520">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274520" class="permalink" rel="bookmark">Can anybody tell me why,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can anybody tell me why, since the update, every time I have closed TOR and then try to launch the next day, I keep getting this:</p>
<p>UNABLE TO START TOR</p>
<p>FAILED TO GET HASHED PASSWORD</p>
<p>So far, the only way I get TOR back is to re-install.</p>
<p>Any help for this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274542"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274542" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274520" class="permalink" rel="bookmark">Can anybody tell me why,…</a> by <span>Teresa Dreams (not verified)</span></p>
    <a href="#comment-274542">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274542" class="permalink" rel="bookmark">Have you checked whether you…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Have you checked whether you still have a Tor process running in your background? It  might be the case that is not shut down properly for whatever reason once you close Tor Browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274529"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274529" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Jimmy (not verified)</span> said:</p>
      <p class="date-time">March 25, 2018</p>
    </div>
    <a href="#comment-274529">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274529" class="permalink" rel="bookmark">I have an older version…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have an older version. Should I just delete that directory and install the new version, or is another method of upgrading recommended?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274541"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274541" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">March 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274529" class="permalink" rel="bookmark">I have an older version…</a> by <span>Jimmy (not verified)</span></p>
    <a href="#comment-274541">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274541" class="permalink" rel="bookmark">Depends on how old your…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Depends on how old your version is. The recommended version is to use the Tor Browser updater. It should download an update automatically. If, however, your Tor Browser is too old for that then, yes, grabbing a new version from our website and starting over is the best solution.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274532"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274532" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>btcz (not verified)</span> said:</p>
      <p class="date-time">March 25, 2018</p>
    </div>
    <a href="#comment-274532">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274532" class="permalink" rel="bookmark">is everybody can run a node?…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>is everybody can run a node?<br />
do you know any video teaching</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
